$(function() {
	$.ajax({
		type: "GET",
		url: "xml/statistics.xml",
		contentType: "text/html; charset=utf-8",
		dataType: "xml",
		cache: false,
		processData: false,
		success: function(test, status, xhr) {
		
			var data = [];
			var series = 3;
			data[0] = { label: "Free: " + $(xhr.responseText).find("FreeDiskSpace").text() + " GB", data: + $(xhr.responseText).find("FreeDiskSpace").text() }
			data[1] = { label: "In Use: " + $(xhr.responseText).find("TotalDiskUsage").text() + " GB", data: + $(xhr.responseText).find("TotalDiskUsage").text() }
						
			$.plot($("#Disk"), data, 
			{
					series: {
						pie: { 
							show: true,
							radius: 1,
							label: {
								show: true,
								radius: 2 / 3,
								formatter: function(label, series){
									return '<div style="font-size:11px;text-align:center;padding:4px;color:white;">'+Math.round(series.percent)+'%</div>';
								},
								threshold: 0.1
							}
						}
					},
					legend: {
						show: true,
						noColumns: 1, // number of colums in legend table
						labelFormatter: null, // fn: string -> string
						labelBoxBorderColor: "#000", // border color for the little label boxes
						container: null, // container (as jQuery object) to put legend in, null means default on top of graph
						position: "ne", // position of default legend container within plot
						margin: [5, 10], // distance from grid edge to default legend container within plot
						backgroundColor: "#efefef", // null means auto-detect
						backgroundOpacity: 1 // set to 0 to avoid background
					},
					grid: {
						hoverable: true,
						clickable: true
					},
			});
			$("#interactive").bind("plothover", pieHover);
			$("#interactive").bind("plotclick", pieClick);
			
			function pieHover(event, pos, obj) 
			{
				if (!obj)
							return;
				percent = parseFloat(obj.series.percent).toFixed(2);
				$("#hover").html('<span style="font-weight: bold; color: '+obj.series.color+'">'+obj.series.label+' ('+percent+'%)</span>');
			}
			function pieClick(event, pos, obj) 
			{
				if (!obj)
							return;
				percent = parseFloat(obj.series.percent).toFixed(2);
				alert(''+obj.series.label+': '+percent+'%');
			}	
			
		}
	});
});	